<?php

/**
 * NewsRepublic About Page
 * @package NewsRepublic
 *
*/

if( !class_exists('Newsrepublic_About_page') ):

	class Newsrepublic_About_page{

		function __construct(){

			add_action('admin_menu', array($this, 'newsrepublic_backend_menu'),999);

		}

		// Add Backend Menu
        function newsrepublic_backend_menu(){

            add_theme_page(esc_html__( 'NewsRepublic Options','newsrepublic' ), esc_html__( 'NewsRepublic Options','newsrepublic' ), 'activate_plugins', 'newsrepublic-about', array($this, 'newsrepublic_main_page'));

        }

        // Settings Form
        function newsrepublic_main_page(){

            require get_template_directory() . '/classes/about-render.php';

        }

	}

	new Newsrepublic_About_page();

endif;